#pwd

/usr/local/src


# yum -y install wget


# wget http://mirror.apache-kr.org/httpd/httpd-2.4.7.tar.gz

# tar xvfz httpd-2.4.7.tar.gz


# ./configure --prefix=/usr/local/httpd-2.4.7 --enable-module=so --enable-module=rewrite --enable-module=headers --enable-ssl


Error 메시지

# yum -y install gcc  // gcc 설치



# ./configure --prefix=/usr/local/httpd-2.4.7 --enable-module=so --enable-module=rewrite --enable-module=headers --enable-ssl


Error 메시지

configure:

configure: Configuring Apache Portable Runtime library...

configure:

checking for APR... no

configure: error: APR not found. Please read the documentation.


# yum install apr apr-util apr-devel


Error 메시지

checking for APR... configure: WARNING: APR version 1.4.0 or later is required, found 1.3.9

configure: WARNING: skipped APR at apr-1-config, version not acceptable

no

configure: error: APR not found. Please read the documentation.


yum install 하였지만 APR 1.3.9 설치되었음 1.4.0 이상 수동으로 설치


# wget http://apache.mirror.cdnetworks.com/apr/apr-1.5.0.tar.gz    //apr 다운로드

# wget http://apache.mirror.cdnetworks.com/apr/apr-util-1.5.3.tar.gz     //apr util다운로드


# tar xvfz apr-1.5.0.tar.gz

# cd apr-1.5.0

# ./configure --prefix=/usr/local/apr

# make && make install


# tar xvfz apr-util-1.5.3.tar.gz

# cd apr-util-1.5.3

# ./configure --with-apr=/usr/local/apr

# make && make install


# ./configure --prefix=/usr/local/httpd-2.4.7 --enable-module=so --enable-module=rewrite --enable-module=headers --enable-ssl


Error 메시지

srclib ~~ 에러


#pwd

/usr/local/src


#ls

apr-1.5.0 apr-1.5.0.tar.gz  apr-util-1.5.3  apr-util-1.5.3.tar.gz  httpd-2.4.7  httpd-2.4.7.tar.gz


./httpd-2.4.7/srclib/apr 

./httpd-2.4.7/srclib/apr-util

각가 폴더에 apr-1.5.0.tar.gz , apr-util-1.5.3.tar.gz복사한다음 압축풀면 해결. apr,apr-util 폴더 만들고...


# ./configure --prefix=/usr/local/httpd-2.4.7 --enable-module=so --enable-module=rewrite --enable-module=headers --enable-ssl


Error 메시지

checking for pcre-config... false

configure: error: pcre-config for libpcre not found. PCRE is required and available from http://pcre.org/


#yum -y install pcre-devel 


# ./configure --prefix=/usr/local/httpd-2.4.7 --enable-module=so --enable-module=rewrite --enable-module=headers --enable-ssl


Error 메시지
configure: error: Cannot use an external APR with the bundled APR-util


# ./configure --prefix=/usr/local/httpd-2.4.7 --enable-module=so --enable-module=rewrite --enable-module=headers --enable-ssl --with-included-apr


컴파일설치부분 끝에 --with-included-apr 을 사용해주자! 강제로 apr을 넣어서 설치


# ./configure --prefix=/usr/local/httpd-2.4.7 --enable-module=so --enable-module=rewrite --enable-module=headers --enable-ssl --with-included-apr


Error 메시지

checking for OpenSSL version >= 0.9.7... FAILED

configure: WARNING: OpenSSL version is too old

no

checking whether to enable mod_ssl... configure: error: mod_ssl has been requested but can not be built due to prerequisite failures


openssl 최신버전 으로 ::: 주소 : http://www.openssl.org/source/


#wget http://www.openssl.org/source/openssl-1.0.1f.tar.gz

# tar xvfz openssl-1.0.1f.tar.gz

# cd  openssl-1.0.1f

# ./config --openssldir=/usr/local/openssl-1.0.1f

# make && make install 



# ./configure --prefix=/usr/local/httpd-2.4.7 --enable-module=so --enable-module=rewrite --enable-module=headers --enable-ssl --with-included-apr


# make && make install 









'Linux' 카테고리의 다른 글

phpMyAdmin 개인 사용자 추가 및 권한 주기  (0) 2014.02.05
CentOS 6.5 - vsftpd  (0) 2014.01.31
apache 설치(centos 6.5)  (0) 2014.01.29
페도라21 네트워크 설정  (0) 2014.01.23
특정국가 접속 차단  (0) 2013.11.13
리눅스 현재 접속자 확인 명령어  (0) 2013.08.09

+ Recent posts